<template>
	<header>
		<div class="site-header">
			<div class="header-container">
				<div class="menu">
					<button
						class="btn--black nav-toggle"
						type="button"
						aria-label="Menu"
						@click="sidebarActivation"
					>
						<span class="bzi-bars bzi-1_2x" aria-hidden="true"></span>
					</button>
					<Logo />
				</div>
				<GithubLogo />
			</div>
		</div>
		<HeaderNav :is-active="isActive" />
	</header>
</template>

<script>
export default {
	name: 'HeaderComponent',
	data() {
		return {
			isActive: false
		}
	},
	methods: {
		sidebarActivation(event) {
			this.isActive = !this.isActive
		}
	}
}
</script>

<style lang="scss">
.site-header {
	display: flex;
	position: fixed;
	z-index: 3;
	top: 0;
	left: 0;
	width: 100%;
	background-color: $orange;
	height: 60px;
	box-shadow: 0px 0px 10px #333333;

	& > .header-container {
		display: flex;
		justify-content: space-between;
		align-items: center;

		.menu {
			display: flex;
		}
	}

	.show-menu {
		display: block;
	}

	&.transparent-header {
		background: transparent;

		.header-link {
			color: #fff;

			&:hover {
				color: $black20;
			}
		}
	}
}

.nav-toggle {
	position: absolute;
	top: 0;
	height: 100%;
	@media #{$medium} {
		display: none;
	}
}
</style>
